<?php
include "../comunes_php/Log.class.php"; 
$log = new Log("app_trace", "./");
$parametros = print_r($_REQUEST,TRUE); 
$log->insert($parametros, false, false, false);
    
    
    $id = intval($_REQUEST['id']);
    include '../rdb/conn.php';
    include '../comunes_php/cors.php';

    $sql= " select count(*) from adicionales_por_producto where producto_id = $id";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    

    $result = array();
    
    $sql="select ap.producto_id,ap.adicional_id,a.nombre adicional, precio  
    from adicionales_por_producto ap ,
    adicionales a,
    precio_adicionales pa where 
    ap.adicional_id =a.id and 
    pa.producto_id=ap.producto_id and
    pa.adicional_id=ap.adicional_id and 
    isnull(pa.fecha_fin) and  ap.producto_id=$id";
    
    //$sql .= "order by ap.adicional_id"
    
    $rs = mysqli_query( $conn,$sql);

    
    
     $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    $log->insert($sql, false, false, false);

    
    echo json_encode($result);
  
    
?>